Package org.apache.sling.testing.junit.rules

## Class SlingClassRule

- java.lang.Object
- - org.apache.sling.testing.junit.rules.SlingClassRule

All Implemented Interfaces:
  `org.junit.rules.TestRule`

    public class SlingClassRule
    extends Object
    implements org.junit.rules.TestRule

Sling Rule that wraps all the ClassRules, useful when running a Sling Integration Test. Can be used in any junit test class using @ClassRule annotation

### Field Summary

Fields
`FilterRule` `filterRule` Rule to filter tests at class level
`protected org.junit.rules.TestRule` `ruleChain` Main RuleChain describing the order of execution of all the rules

### Constructor Summary

Constructors
`SlingClassRule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.junit.runners.model.Statement` `apply​(org.junit.runners.model.Statement base, org.junit.runner.Description description)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### filterRule

    public final FilterRule filterRule

Rule to filter tests at class level

#### ruleChain

    protected org.junit.rules.TestRule ruleChain

Main RuleChain describing the order of execution of all the rules

### Constructor Detail

#### SlingClassRule

    public SlingClassRule()

### Method Detail

#### apply

    public org.junit.runners.model.Statement apply​(org.junit.runners.model.Statement base,
                                                   org.junit.runner.Description description)

Specified by:
  `apply` in interface `org.junit.rules.TestRule`